org.wildfly.swarm.microprofile.faulttolerance.deployment

## Class HystrixCommandInterceptor

- java.lang.Object
- - org.wildfly.swarm.microprofile.faulttolerance.deployment.HystrixCommandInterceptor

-     @HystrixCommandBinding
      public class HystrixCommandInterceptor
      extends Object

  Author:
    Antoine Sabot-Durand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SYNC_CIRCUIT_BREAKER_KEY` This config property key can be used to disable synchronous circuit breaker functionality.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HystrixCommandInterceptor(Boolean nonFallBackEnable, Boolean syncCircuitBreakerEnabled, BeanManager beanManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `interceptCommand(InvocationContext ic)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNC_CIRCUIT_BREAKER_KEY

          public static final String SYNC_CIRCUIT_BREAKER_KEY

      This config property key can be used to disable synchronous circuit breaker functionality. If disabled, `CircuitBreaker#successThreshold()` of value greater than 1 is not supported.

      Moreover, circuit breaker does not necessarily transition from CLOSED to OPEN immediately when a fault tolerance operation completes. See also Hystrix configuration

      In general, application developers are encouraged to disable this feature on high-volume circuits and in production environments.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HystrixCommandInterceptor

          public HystrixCommandInterceptor(Boolean nonFallBackEnable,
                                           Boolean syncCircuitBreakerEnabled,
                                           BeanManager beanManager)

  - ### Method Detail

    - #### interceptCommand

          public Object interceptCommand(InvocationContext ic)
                                  throws Exception

      Throws:
        `Exception`

Copyright © 2017 JBoss by Red Hat. All rights reserved.